Trialmile docs

Create

POST
/admin/users/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Length1 <= length <= 120
email*string
Formatemail
Lengthlength <= 254
password*string
Length8 <= length <= 128
platformAdmin?boolean
organizationId?string
Length1 <= length
organizationRole?string

Value in

  • "member"
  • "admin"
  • "owner"

Response Body

application/json

curl -X POST "https://example.com/admin/users/create" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "email": "user@example.com",    "password": "stringst"  }'
null